Skip to content

List this tenant's consent records

GET
/v1/consents
curl --request GET \
--url 'https://api.vocapable.com/v1/consents?limit=50' \
--header 'Authorization: Bearer <token>'
limit
Limit
integer
default: 50 >= 1 <= 200
cursor
Any of:
string
contact_id
Any of:
string

Filter on contact_id. Comma-separated values are OR.

contact_id.gte
Any of:
string

Filter on contact_id with the gte operator.

contact_id.lte
Any of:
string

Filter on contact_id with the lte operator.

contact_id.gt
Any of:
string

Filter on contact_id with the gt operator.

contact_id.lt
Any of:
string

Filter on contact_id with the lt operator.

contact_id.in
Any of:
string

Filter on contact_id with the in operator.

status
Any of:
string

Filter on status. Comma-separated values are OR.

status.gte
Any of:
string

Filter on status with the gte operator.

status.lte
Any of:
string

Filter on status with the lte operator.

status.gt
Any of:
string

Filter on status with the gt operator.

status.lt
Any of:
string

Filter on status with the lt operator.

status.in
Any of:
string

Filter on status with the in operator.

Successful Response

Media typeapplication/json
CursorPage[ConsentRecordSummary]
object
data
required
Data
Array<object>
ConsentRecordSummary
object
id
required
Id
string
contact_id
required
Contact Id
string
consent_class
required
ConsentBasis

CANON fact 18 - the four consent classes (docs/07-compliance.md §consent).

string
Allowed values: pewc pec ebr transactional
scope
Scope
object
key
additional properties
any
source
required
Source
string
Allowed values: web_form ivr recorded_call paper import_attestation api_attestation
proof
Proof
object
key
additional properties
any
disclosure_text_shown
Any of:
string
captured_at
required
Captured At
string format: date-time
expires_at
Any of:
string format: date-time
status
required
Status
string
Allowed values: active expired revoked suspect
revokes_consent_id
Any of:
string
created_at
required
Created At
string format: date-time
next_cursor
Any of:
string
has_more
Has More
boolean
Example
{
"data": [
{
"consent_class": "pewc",
"source": "web_form",
"status": "active"
}
],
"has_more": false
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}